import Avatar from "../Avatar";
import { MessageBarWrap } from "./MessageBarWrap";
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
export var BottomTabBar = function BottomTabBar(_ref) {
  var icon = _ref.icon,
    tips = _ref.tips,
    actions = _ref.actions;
  return /*#__PURE__*/_jsx(MessageBarWrap, {
    children: /*#__PURE__*/_jsxs("div", {
      className: "messageBarContainer",
      children: [/*#__PURE__*/_jsx("div", {
        className: "iconContainer",
        children: /*#__PURE__*/_jsx(Avatar, {
          borderless: true,
          imgSrc: icon
        })
      }), /*#__PURE__*/_jsxs("div", {
        className: "contentContainer",
        children: [tips, actions]
      })]
    })
  });
};
export default BottomTabBar;